Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 809989 - net-news/rssguard-4.2.5 stabilization request
Summary: net-news/rssguard-4.2.5 stabilization request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-24 16:17 UTC by David Duchesne
Modified: 2022-11-04 18:18 UTC (History)
6 users (show)

See Also:
Package list:
net-news/rssguard-4.2.5 *
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Duchesne 2021-08-24 16:17:55 UTC
Please stabilize net-news/rssguard-3.9.2 (Released in April 2021)

Thanks

Reproducible: Always
Comment 1 Mike Gilbert gentoo-dev 2021-08-24 18:36:44 UTC
This package has no maintainer at the moment, so stabilizing it seems like a bad idea.
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-20 07:08:45 UTC
(In reply to Mike Gilbert from comment #1)
> This package has no maintainer at the moment, so stabilizing it seems like a
> bad idea.

Eh. We do it for all sorts of m-n packages. That, and somebody seems to kind of essentially maintain it anyway.

But let me CC them to see if they think we should wait given the next major version is incompatible.
Comment 3 Anna Vyalkova 2021-10-20 14:25:12 UTC
(In reply to Sam James from comment #2)
> we should wait given the next major version is incompatible.
I agree. Upgrade from 3.9 to 4.0 is tedious and can break things, so it'd be better if stable users could install 4.0 directly.
Comment 4 NATTkA bot gentoo-dev 2022-01-19 16:32:38 UTC Comment hidden (obsolete)
Comment 5 Anna Vyalkova 2022-01-21 15:47:49 UTC
(In reply to David Duchesne from comment #0)
> Please stabilize net-news/rssguard-3.9.2 (Released in April 2021)
> 
> Thanks

Can you change the bug description to request stabilization of net-news/rssguard-4.0.4 instead?
Comment 6 rotter.martinos 2022-01-31 13:12:17 UTC
(In reply to jan Anja from comment #3)
> (In reply to Sam James from comment #2)
> > we should wait given the next major version is incompatible.
> I agree. Upgrade from 3.9 to 4.0 is tedious and can break things, so it'd be
> better if stable users could install 4.0 directly.

Developer of RSS Guard here.

RSS Guard 4.x uses different "user data" folder than RSS Guard 3.x, therefore no irreversible loss of data should happen.
Comment 7 Ionen Wolkens gentoo-dev 2022-03-24 07:26:59 UTC
Bumping given 4.0.4 is being dropped from the tree (and 4.2.1 being added), but I don't use this so unsure if a good stabilization candidate.
Comment 8 NATTkA bot gentoo-dev 2022-06-09 01:00:32 UTC
Unable to check for sanity:

> no match for package: net-news/rssguard-4.1.2
Comment 9 Ionen Wolkens gentoo-dev 2022-06-09 01:12:24 UTC
repeat from comment #7
Comment 10 Thomas Capricelli 2022-09-28 20:23:46 UTC
4.2.3 is in portage actually.
But 4.2.4 was out last month, and fixes some important (to me :-) bugs.